<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Owners</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm bg-dark navbar-dark"><br>
            <div class="collapse navbar-collapse" id="collapsibleNavbar">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link" href="main">Главная</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="owners">Владельцы</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="buses">Автобусы</a>
                    </li>
                </ul>
            </div>
        </nav>
    </header>
    <div class="container mt-3 mb-5">
        <h3>Владельцы автобусов</h3>
        <table class="table table-hover table-bordered">
            <thead>
            <tr>
                <th>№</th>
                <th>Имя</th>
                <th>Фамилия</th>
                <th>Возраст</th>
                <th>Судимость</th>
                <th>Общий доход за месяц(грн)</th>
                <th>Автобусы</th>
                <th>Действия</th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="o : ${owners}">
                <td th:text="${o.id}"></td>
                <td th:text="${o.name}"></td>
                <td th:text="${o.surname}"></td>
                <td th:text="${o.age}"></td>
                <td th:text="${o.isCriminal}"></td>
                <td th:text="${o.getTotalIncome()}"></td>
                <td><a class="btn btn-info" th:href="@{owner_buses/{id}(id=${o.id})}">Показать автобусы</a></td>
                <td>
                    <a class="btn btn-warning" th:href="@{owner/edit/{id}(id=${o.id})}">Редактировать</a>
                    <a class="btn btn-danger" th:href="@{owner/delete/{id}(id=${o.id})}">Удалить</a>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div class="container mt-5 mb-5">
        <h4>Добавление владельца</h4>
        <form action="owners" method="post">
            <input type="text" name="name" placeholder="Введите имя" class="form-control" maxlength="30" required></br>
            <input type="text" name="surname" placeholder="Введите фамилию" class="form-control" maxlength="30" required></br>
            <input type="number" max="100" min="18" name="age" placeholder="Введите возраст" class="form-control" required></br>
            <label>Наявность судимости</label>
            <select class="form-control" name="isCriminal" id="list_1">
                <option th:value="Нет">Нет</option>
                <option th:value="Есть">Есть</option>
            </select></br>
            <button type="submit" class="btn btn-success">Добавить</button>
        </form>
    </div>
</body>
</html>